Package org.eclipse.equinox.p2.repository.metadata.spi

# Class IInstallableUnitUIServices.TrustAuthorityInfo

java.lang.Object
org.eclipse.equinox.p2.repository.metadata.spi.IInstallableUnitUIServices.TrustAuthorityInfo

Enclosing interface:
  IInstallableUnitUIServices

public static class IInstallableUnitUIServices.TrustAuthorityInfo extends Object
Trust information returned from an authority trust request.

## Constructor Summary

Constructors
Constructor
Description
`TrustAuthorityInfo(Collection<URI> trustedAuthorities, boolean save, boolean trustAlways)`

## Method Summary

Modifier and Type
Method
Description
`Collection<URI>`
`getTrustedAuthorities()`
Returns a collection of the authority URIs to be trusted for the requested operation.
`boolean`
`isSave()`
Returns whether the trusted authority URIs should be persisted for future operations.
`boolean`
`isTrustAlways()`
Return whether to always trust all authorities, both during this operation and for all future operations.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### TrustAuthorityInfo

public TrustAuthorityInfo(Collection<URI> trustedAuthorities, boolean save, boolean trustAlways)

Parameters:
  `trustedAuthorities` - the trusted authority URIs.
  `save` - whether to store the trusted authority URIs.
  `trustAlways` - whether to trust all authorities.

## Method Details

### getTrustedAuthorities

public Collection<URI> getTrustedAuthorities()
Returns a collection of the authority URIs to be trusted for the requested operation.

Returns:
  a collection of the authority URIs to be trusted for the requested operation.

### isSave

public boolean isSave()
Returns whether the trusted authority URIs should be persisted for future operations.

Returns:
  whether the trusted authority URIs should be persisted for future operations.

### isTrustAlways

public boolean isTrustAlways()
Return whether to always trust all authorities, both during this operation and for all future operations.

Returns:
  whether to always trust all authorities, both during this operation and for all future operations.